---
id: v0.8.0
title: Chaos Mesh v0.8.0 Release Notes
sidebar_label: v0.8.0
---

Chaos Mesh v0.8.0 provides the ability to orchestrate chaos experiments in the Kubernetes environment, with support of comprehensive types of failure simulation, including Pod failures, container failures, network failures, file system failures, system time failures, and kernel failures. Helm installation method is also supported so that users can quickly deploy Chaos Mesh for chaos experiments. Chaos Mesh uses YAML to define chaos experiments, and provides a rich range of preset chaos test samples for users to quickly try Chaos Mesh.

## New Features and Enhancements

- Add `PodChaos` to simulate the failure on Pods and Containers, including Pods and Containers being killed, Pods being continuously unavailable
- Add `NetworkChaos` to simulate network failures, including delay, packet duplication, packet loss, partition, etc
- Add `TimeChaos` to simulate failures on the system clock, such as clock skew
- Add `IOChaos` to simulate failures on the file system, including file system I/O delay, and file system I/O errors
- Add `KernelChaos` to simulate kernel failures
- Add `StressChaos` to simulate CPU burn and Memory burn
- Support rich selectors to specify the scope of the chaos experiment
- Support rich schedulers, including using cron to schedule chaos experiments
- Support pausing a chaos experiment provisionally
- Support defining chaos experiments using YAML file
- Support ValidatingAdmissionWebhook for verifying the chaos object
- Support cert-manager for certificate management
- Support deploying Chaos Mesh using Helm to
- Support saving metrics using Prometheus
- Support recording information of chaos experiment in Kubernetes events
- Support the complete e2e testing framework
